diff --git a/test/unit/dhcp6/test_dhcp6.h b/test/unit/dhcp6/test_dhcp6.h
new file mode 100644
index 00000000..b24086c8
--- /dev/null
+++ b/test/unit/dhcp6/test_dhcp6.h
@@ -0,0 +1,36 @@
+/*
+ * Copyright 2023 NXP
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without modification,
+ * are permitted provided that the following conditions are met:
+ *
+ * 1. Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ * 3. The name of the author may not be used to endorse or promote products
+ *    derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+ * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+ * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
+ * SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
+ * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+ * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
+ * OF SUCH DAMAGE.
+ *
+ */
+
+#ifndef LWIP_HDR_TEST_DHCP6_H
+#define LWIP_HDR_TEST_DHCP6_H
+
+#include "../lwip_check.h"
+
+Suite* dhcp6_suite(void);
+
+#endif
diff --git a/test/unit/lwip_unittests.c b/test/unit/lwip_unittests.c
index d088a066..88b467d1 100644
--- a/test/unit/lwip_unittests.c
+++ b/test/unit/lwip_unittests.c
@@ -14,6 +14,7 @@
 #include "core/test_timers.h"
 #include "etharp/test_etharp.h"
 #include "dhcp/test_dhcp.h"
+#include "dhcp6/test_dhcp6.h"
 #include "mdns/test_mdns.h"
 #include "mqtt/test_mqtt.h"
 #include "api/test_sockets.h"
@@ -95,6 +96,7 @@ int main(void)
     timers_suite,
     etharp_suite,
     dhcp_suite,
+    dhcp6_suite,
     mdns_suite,
     mqtt_suite,
     sockets_suite
diff --git a/test/unit/lwipopts.h b/test/unit/lwipopts.h
index 03579ee7..80de3846 100644
--- a/test/unit/lwipopts.h
+++ b/test/unit/lwipopts.h
@@ -54,6 +54,11 @@
 /* Enable DHCP to test it */
 #define LWIP_DHCP                       1
 
+/* Enable DHCP6 to test it */
+#define LWIP_IPV6_DHCP6                 1
+#define LWIP_IPV6_DHCP6_STATEFUL        1
+#define LWIP_IPV6_DHCP6_PD              1
+
 /* Enable DNS, with random source port to avoid alloc in dns_init */
 #define LWIP_DNS                        1
 #define LWIP_DNS_SECURE (LWIP_DNS_SECURE_RAND_XID | LWIP_DNS_SECURE_RAND_SRC_PORT)
-- 
2.34.1

